## psychtoolbox-3 3.0.10.20130114.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.10.20130114.dfsg1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 Jan 2013 23:14:59 -0500

psychtoolbox-3 (3.0.10.20130114.dfsg1-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Jan 2013 22:13:23 -0500

psychtoolbox-3 (3.0.10.20130108.dfsg1-1) experimental; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_use_system_GLEW -- refreshed
    - deb_psychtoolboxversion -- fixed to compare correctly for paths of both
      Octave and Matlab
  * debian/upstream
    - provides references and other information

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Jan 2013 09:09:40 -0500

psychtoolbox-3 (3.0.10.20121111.dfsg1-1) neurodebian-devel; urgency=low

  * Long over-due fresh always-beta snapshot release of 3.0.10
    - upstream switched entirely over to GIT, packaging repository
      is rebased on top of that GIT repository
    - debian/dfsg-upstream adjusted for new archives/binary blobs to
      be removed
  * debian/control
    - boost glew build-depends to 1.9 (soversioned backport -dev packages
      provided by NeuroDebian)
    - build-depend on libxfixes-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Dec 2012 13:08:23 -0500
