=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                libxxf86vm-dev,
                libglu1-mesa-dev,
                libxext-dev,
+               libxfixes-dev,
                libxi-dev,
                libxrandr-dev,
-               libglew-dev (>= 1.6.0) | libglew1.6-dev,
+               libglew-dev (>= 1.9.0~) | libglew1.9-dev,
                freeglut3-dev,
                libgstreamer-plugins-base0.10-dev,
                libdc1394-22-dev,
