## psychtoolbox-3 3.0.11.20130711.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20130711.dfsg1-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 16 Jul 2013 03:17:30 -0400

psychtoolbox-3 (3.0.11.20130711.dfsg1-1) experimental; urgency=low

  * New upstream release
    - resolves FTBFS with gcc-4.8 (Closes: #701342)
  * debian/control
    - moved all gst-plugins collecttions to Recommends per upstream
      recommendation

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Jul 2013 11:28:09 -0400

psychtoolbox-3 (3.0.10.20130612.dfsg1-1) neurodebian; urgency=low

  * New upstream snapshot release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 12:03:25 -0400

psychtoolbox-3 (3.0.10.20130522.dfsg1-1) UNRELEASED; urgency=low

  * New upstream snapshot release
    - upload only to NeuroDebian due to unresolved #705485
      (liboctave-dev & GCC 4.8)
  * debian/rules
    - run selected collection of Demos and Tests at build-time to validate
      correct operation (xvfb, xauth, xdotool, gstreamer, etc to B-D).
      Failures are ignored for now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2013 11:09:19 -0400

psychtoolbox-3 (3.0.10.20130420.dfsg1-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/rules, debian/dfsg-upstream
    - adjusted for new binary blobs (libwaffle etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 May 2013 09:30:06 -0400
