=== debian/control ===
--- 
+++ 
@@ -27,6 +27,10 @@
                libfreetype6-dev,
                libasound2-dev,
                libopenal-dev,
+               xvfb, xauth, libgl1-mesa-dri, xdotool,
+               pulseaudio-utils, octave-image,
+               gstreamer0.10-plugins-base, gstreamer0.10-plugins-good,
+Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1)
 Standards-Version: 3.9.3
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
@@ -59,8 +63,8 @@
 Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base,
             gstreamer0.10-plugins-good,
-Suggests: gstreamer0.10-plugins-bad,
-          gstreamer0.10-plugins-ugly
+            gstreamer0.10-plugins-bad,
+            gstreamer0.10-plugins-ugly,
 Description: toolbox for vision research -- arch-specific parts
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
@@ -104,6 +108,9 @@
  collection of observer responses. Ancillary routines support common
  needs like color space transformations and the QUEST threshold
  seeking algorithm.
+ .
+ See also http://www.psychtoolbox.org/UsingPsychtoolboxOnUbuntu for
+ additional information about systems tune-up and initial configuration.
  .
  This package contains bindings for Octave.
