## psychtoolbox-3 3.0.11.20131230.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20131230.dfsg1-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:50 +0000

psychtoolbox-3 (3.0.11.20131230.dfsg1-1) unstable; urgency=low

  * New upstream release:
    - detect location of (recently moved) FreeType-2 header files (Closes:
      #733402)
    - improved low-level support of the latest AMD gpu's
    - fix for key-events handling under XFCE-4 (no new workspaces should
      now get created upon exit)
    - general improvements to video capture and video recording
    - various other fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Dec 2013 19:52:29 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-3) unstable; urgency=low

  * Upload to unstable since fresh glew has arrived to sid!

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Nov 2013 23:34:50 -0500

psychtoolbox-3 (3.0.11.20131017.dfsg1-2) neurodebian; urgency=low

  * debian/control
    - Also adding a conflict for libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2) in
      saucy
    - Adding gnuplot-nox|gnuplot to build-depends and gnuplot to suggests of
      -common package
    - libusb-1.0-0-dev 1.0.9 (even rc) should be good enough according to Mario.
      So downgrading this versioned dependency so it could build for squeeze and
      precise now
  * debian/rules
    - exclude test PTBAndIsetbioColorimetryTest since requires isetbio cmdline

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Oct 2013 22:30:02 -0400

psychtoolbox-3 (3.0.11.20131017.dfsg1-1) experimental; urgency=low

  * Fresh bugfix release resolving discovered issues with 3.0.11.20131003,
    e.g. segfaults upon exit

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Oct 2013 22:09:21 -0400

psychtoolbox-3 (3.0.11.20131003.dfsg1-1) experimental; urgency=low

  * Fresh upstream primarily bugfix release
    - addresses an issue with  PsychHID('Devices') breaking sub-second
      timing of WaitSecs (Thanks Mario for the detailed report on new release).
  * debian/patches
    - refreshed to address renaming of the build .m script
  * debian/control
    - boost build-depends on libusb-1.0-0-dev >= 2:1.0.11

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Oct 2013 15:18:39 -0400
