=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	: #  4  libeyelink -- non-distributable binary blob with open-sourced API
 	cd PsychSourceGL/Source/; \
 		for mode in 0 1 2 3   5 6 7 8 9; do \
-		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3_ubuntugutsy($$mode)" || exit 1; \
+		  octave -p $(CURDIR)/Psychtoolbox/PsychOneliners -q --eval "linuxmakeitoctave3($$mode)" || exit 1; \
 	done
 
 	: # Manually build OpenGL text renderer extension
@@ -64,6 +64,57 @@
 	install --mode=0644 PsychSourceGL/Cohorts/FTGLTextRenderer/libptbdrawtext_ftgl.so.1 \
 	   Psychtoolbox/PsychBasic/PsychPlugins
 	touch $@
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	: # Smoke test some Demos and Tests -- some are excluded for various reasons
+	: # image would be needed for one of the demos
+	cd Psychtoolbox/PsychDemos/PsychTutorials/; ln -sf ../konijntjes1024x768*.jpg .
+	cd Psychtoolbox/PsychTests/; ln -sf ../PsychDemos/konijntjes1024x768*.jpg .
+
+	find Psychtoolbox/PsychDemos Psychtoolbox/PsychTests -type f -iname *.m \
+	| grep -v -e "FAILURES DUE TO ABSENT FUNCTIONALITY IN TEST ENVIRONMENT" \
+      -e Contents -e Stereo -e Serial -e PsychCV \
+      -e Cedrus -e BitsPlus -e Kinect -e GPGPU -e DualHeads -e DaqTest \
+      -e Matlab -e FitCumNormYNTest -e OSAUCSTest -e FitGammaPow -e FitGammaDemo \
+      -e DirectInputMonitoringTest \
+	  -e OldNewReco -e AlphaImageDemo/[^A] \
+      -e ClutAnimDemo -e MinimumMotionExp -e AdditiveBlendingForLinearSuperpositionTutorial \
+      -e ImagingVideoCaptureDemo -e AudioTunnel3DDemo \
+      -e DetectionRTInVideoDemo \
+      -e VideoRecordingDemo -e PlayMoviesDemo -e PlayInterlacedMovieDemo \
+      -e ErrorCatchDemo -e MovieDemo\.m -e VideoTextureExtractionDemo \
+      -e VideoCapture \
+      -e DatarecordingFromISCANDemo -e PsychRTBoxDemo \
+      -e BlurredMipmapDemo \
+      -e Tests.*Timing -e HIDIntervalTest \
+      -e HighPrecisionLuminanceOutputDrivers -e HIDTest \
+      -e SyncedCLUTUpdateTest -e GetSecsTest -e ConvolutionKernelTest \
+      -e OSSchedulingAccuracyTest -e PTBAndVSETColorimetryTest \
+      -e LoadGenerator \
+    | grep -v -e "REQUIRE SOUND I/O (more in above list)" \
+      -e Sound -e Audio -e BasicAMAndMixScheduleDemo -e SimpleVoiceTriggerDemo \
+      -e KeyboardLatencyTest \
+      -e LoadMovieIntoTexturesDemo -e PlayMoviesWithoutGapDemo2 \
+    | grep -v -e "REQUIRE USER INPUT (more in the first list (TODO))" \
+      -e RenderDemo -e CalDemo -e KbDemo -e KbQueueDemo \
+    | grep -v -e "REQUIRE TOO LONG TO COMPLETE (and otherwise doesn't exit)" \
+      -e QuestTest \
+    | grep -v -e "KNOWN FAILURES TO BE FIXED (more in the first list (TODO))" \
+      -e PlayMoviesWithoutGapDemo1 \
+      -e FitWeibull.*Test -e DeinterlacerTest -e FitConeFundamentalsTest \
+      -e AlphaMultiplicationTest -e MinExpEntStairDemo \
+    | grep -v -e "REQUIRE SOME ADDITIONAL CMDLINE TOOLS AND SPECIAL HW" \
+      -e PTBAndIsetbioColorimetryTest \
+	| xargs debian/run_tests || echo "TESTS FAILED"
+
+#      -e MovieDemos \
+	: # Cleanup
+	find -iname MLIexpSubj11.txt -delete
+else
+	: # Skip unittests due to nocheck
+endif
+
 
 override_dh_auto_install:
 	dh_auto_install
@@ -140,28 +191,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f build-stamp
-	: # Manually remove  additional trash
-	find Psych* -regextype posix-egrep -regex '.*\.(o|mex|so(|\..*))' -delete
-	-rmdir $(BDIRS)
-	: # Prune some Debian generated files
-	-rm debian/octave-psychtoolbox-3.links debian/psychtoolbox-3-lib.links
-	$(MAKE) -C PsychSourceGL/Cohorts/PortAudio clean
-
-debian/changelog.upstream:
-	git log remotes/branches/beta >| $@
-
-get-orig-source: debian/changelog.upstream
-	@echo "I: Exporting free portion of `git describe dfsg`"; \
-	git archive --format=tar --prefix=$(srcpkg)-$(uver)/ dfsg | \
-        gzip -9 > $(srcpkg)_$(uver).orig.tar.gz
-
-# Fetch all those binary blobs to go into non-free binaries packages
-get-orig-source-nonfree:
-	@beta_merge_base=$$(git merge-base origin/beta HEAD); \
-	echo "I: Exporting non-free portion of `git describe $$beta_merge_base`"; \
-	git archive --format=tar --prefix=$(srcpkg)-nonfree-$(uver_nondfsg)/ $$beta_merge_base -- \
-		./Psychtoolbox/PsychBasic/*.mex{a64,glx} \
-		./Psychtoolbox/PsychBasic/Octave3LinuxFiles{,64}/{Eyelink,Datapixx}.mex \
-        ./Psychtoolbox/PsychHardware/iViewXToolbox/tcp_udp_ip/pnet.mex{a64,glx} \
-	| gzip -9 > $(srcpkg)-nonfree_$(uver_nondfsg).orig.tar.gz
+	rm -rf build-stamp build
