## psychtoolbox-3 3.0.11.20140705.dfsg1

=== debian/changelog ===
psychtoolbox-3 (3.0.11.20140705.dfsg1-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 09 Jul 2014 13:44:08 -0400

psychtoolbox-3 (3.0.11.20140705.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 09:47:01 -0400

psychtoolbox-3 (3.0.11.20140516.dfsg1-1) unstable; urgency=medium

  * Fresh upstream snapshot addressing some issues with AMD Radeon HD-5000
    and fixing up some tests -- Mario never rests.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 17 May 2014 01:48:24 -0400
