=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: psychtoolbox-3
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), rsync,
                matlab-support-dev,
@@ -21,7 +20,7 @@
                freeglut3-dev,
                libgstreamer-plugins-base0.10-dev,
                libdc1394-22-dev,
-               libusb-1.0-0-dev,
+               libusb-1.0-0-dev (>= 2:1.0.9~),
                libfreenect-dev (>= 0.1.2),
                libfontconfig1-dev,
                libfreetype6-dev,
@@ -30,7 +29,8 @@
                xvfb, xauth, libgl1-mesa-dri, xdotool,
                pulseaudio-utils, octave-image,
                gstreamer0.10-plugins-base, gstreamer0.10-plugins-good,
-Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1)
+               gnuplot-nox | gnuplot,
+Build-Conflicts: libglew-dev (= 1.9.0.is.1.8.0-0ubuntu1), libglew-dev (= 1.9.0.is.1.8.0-0ubuntu2)
 Standards-Version: 3.9.3
 Homepage: http://psychtoolbox.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/psychtoolbox-3.git
@@ -39,8 +39,9 @@
 
 Package: psychtoolbox-3-common
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: subversion
+Suggests: gnuplot
 Description: toolbox for vision research -- arch/interpreter independent part
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
@@ -60,7 +61,7 @@
 
 Package: psychtoolbox-3-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gstreamer0.10-plugins-base,
             gstreamer0.10-plugins-good,
             gstreamer0.10-plugins-bad,
@@ -85,7 +86,7 @@
 
 Package: octave-psychtoolbox-3
 Architecture: any
-Depends: neurodebian-popularity-contest, ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends},
          psychtoolbox-3-common (= ${source:Version}),
          psychtoolbox-3-lib (= ${binary:Version}),
 Recommends: octave-audio,
@@ -117,7 +118,7 @@
 Package: psychtoolbox-3-dbg
 Section: debug
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
+Depends: ${misc:Depends}, octave-psychtoolbox-3 (= ${binary:Version})
 Description: toolbox for vision research -- debug symbols for binaries
  Psychophysics Toolbox Version 3 (PTB-3) is a free set of Matlab and
  GNU/Octave functions for vision research. It makes it easy to
